<?php $filter = '/^SE/'; require_once('../setup.php');

$user = new User();
$user->name = 'Foo';
$user->username = $user->password = 'yummy';
$user->Phonenumber[0]->phonenumber = '007';
$user->save();
$user2 = $user->copy();
$user2->Phonenumber[0]->phonenumber = '007';
$user2->Phonenumber[1]->phonenumber = '911';
$user2->save();

// make sure that no in memory references exist
$user->free(); $user2->free();

// fetch only the user ids
$users = Doctrine_Query::create()
    ->select('u.id')->from('User u')
    ->execute();

// already fetched
var_dump($users[0]->id);

// lazy fetch all properties of the first user
var_dump($users[0]->name);
// lazy fetch the Phonebumbers of the first user
var_dump($users[0]->Phonenumber->count());
// fetch all Phonenumbers for all users
$users->loadRelated('Phonenumber');
var_dump($users[1]->Phonenumber->count());
