<?php $separator = "<br /><br />\n\n";
require_once('../setup.php');

Doctrine_Query::create()
    ->delete()
    ->from('User u')
    ->execute();

Doctrine_Query::create()
    ->update('User')
    ->set('name', '?', array('foobar'))
    ->where('username LIKE ?', array('_me%'))
    ->execute();

Doctrine_Query::create()
    ->select('u.id, ug.id, ug.name')
    ->from('User u LEFT JOIN u.Usergroup ug')
    ->where('MD5(password) = ?', array('foo'))
    ->execute(array(), Doctrine::HYDRATE_ARRAY);

Doctrine_Query::create()
    ->select('u.id, COUNT(*)')
    ->from('User u')
    ->groupBy('u.name')
    ->execute();

Doctrine_Query::create()
    ->select('u.*')
    ->from('User u')
    ->where('u.id NOT IN
        (SELECT u2.id FROM User u2
            INNER JOIN u2.Usergroup ug)')
    ->limit(10)
    ->execute();
