<?php require_once('../setup.php');

$tree = Doctrine::getTable('User')->getTree();
$root = new User(); $root->name = 'root';
$tree->createRoot($root); // calls $root->save()

$record = new User();
$record->name = 'somenode';
// calls $record->save()
$record->getNode()->insertAsLastChildOf($root);

$isLeaf = $record->getNode()->isLeaf(); // isRoot()

foreach ($tree->fetchTree() as $node) {
    echo str_repeat('&nbsp;&nbsp;', $node['level']);
    echo $node['name'].'<br />';
}

// Use getNode()->delete() or tree may corrupt
$record->getNode()->delete();
